Method: forecast.minutes.lookup

Returns minute-level precipitation nowcast events for up to 6 hours.

HTTP request

GET https://weather.googleapis.com/v1/forecast/minutes:lookup

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
location

object (LatLng)

Required. The location to get the minutely forecast for.

unitsSystem

enum (UnitsSystem)

Optional. The units system to use for the returned weather conditions. If not provided, the returned weather conditions will be in the metric system (default = METRIC).

pageSize

integer

Optional. The maximum number of forecast records to return per page.

pageToken

string

Optional. A page token received from a previous request. It is used to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response for the minutes.lookup RPC.

If successful, the response body contains data with the following structure:

JSON representation
{
  "overallPredictionTimeframe": {
    object (Interval)
  },
  "timeZone": {
    object (TimeZone)
  },
  "nextPageToken": string,
  "segments": [
    {
      object (PrecipitationSegment)
    }
  ]
}
Fields
overallPredictionTimeframe

object (Interval)

The overall timeframe for the predictions.

timeZone

object (TimeZone)

The time zone at the requested location.

nextPageToken

string

The token to retrieve the next page.

segments[]

object (PrecipitationSegment)

The minute-level prediction segments.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

PrecipitationSegment

Represents a segment of precipitation forecast data.

JSON representation
{
  "timeFrame": {
    object (Interval)
  },
  "type": enum (DominantPrecipitationType),
  "probability": integer,
  "qpf": {
    object (QuantitativePrecipitationForecast)
  },
  "snowfallAmount": {
    object (QuantitativePrecipitationForecast)
  },
  "intensity": enum (PrecipitationIntensity)
}
Fields
timeFrame

object (Interval)

The timeframe relevant to the segment.

type

enum (DominantPrecipitationType)

The type of precipitation.

probability

integer

The chance of precipitation. Values are in percentages ranging from 0 to 100.

qpf

object (QuantitativePrecipitationForecast)

Quantitative precipitation forecast

snowfallAmount

object (QuantitativePrecipitationForecast)

Snow quantitative precipitation forecast

intensity

enum (PrecipitationIntensity)

Precipitation intensity of the segment.

DominantPrecipitationType

The type of precipitation.

Enums
DOMINANT_PRECIPITATION_TYPE_UNSPECIFIED Unspecified precipitation type.
NONE No precipitation.
RAIN Rain.
SNOW Snow.
HAIL Hail.

PrecipitationIntensity

Precipitation intensity of the segment.

Enums
PRECIPITATION_INTENSITY_UNSPECIFIED Unknown precipitation intensity.
NO_INTENSITY No precipitation intensity.
LIGHT Light precipitation intensity.
MODERATE Moderate precipitation intensity.
HEAVY Heavy precipitation intensity.
MID_LIGHT Mid-light precipitation intensity.
MID_MODERATE Mid-moderate precipitation intensity.
MID_HEAVY Mid-heavy precipitation intensity.